=== debian/changelog ===
ros-rolling-vrpn-mocap (1.0.4-1jammy) jammy; urgency=high

  * fix readme
  * use node clock (#3 <https://github.com/alvinsunyixiao/vrpn_mocap/issues/3>)
  * cancel ci run on previous push (#2 <https://github.com/alvinsunyixiao/vrpn_mocap/issues/2>)
  * add foxy ci (#1 <https://github.com/alvinsunyixiao/vrpn_mocap/issues/1>)
    * add foxy ci
    * fix package name
    * revert cmake
    * downgrade cmake in CI
    * add rolling and humble CI and badages
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Tue, 25 Apr 2023 07:00:00 -0000

ros-rolling-vrpn-mocap (1.0.3-1jammy) jammy; urgency=high

  * fix header typo
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Tue, 30 Aug 2022 07:00:00 -0000

ros-rolling-vrpn-mocap (1.0.2-1jammy) jammy; urgency=high

  * fix include order to work with both rolling and foxy
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Tue, 30 Aug 2022 07:00:00 -0000

ros-rolling-vrpn-mocap (1.0.1-1jammy) jammy; urgency=high

  * Fix lint errors
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Tue, 30 Aug 2022 07:00:00 -0000

ros-rolling-vrpn-mocap (1.0.0-1jammy) jammy; urgency=high

  * Initial public release of vrpn_mocap
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Mon, 04 Jul 2022 07:00:00 -0000
