=== debian/control ===
Source: ros-rolling-vrpn-mocap
Section: misc
Priority: optional
Maintainer: Alvin Sun <alvinsunyixiao@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-tf2, ros-rolling-vrpn, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-vrpn-mocap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-tf2, ros-rolling-vrpn, ros-rolling-ros-workspace
Description: ROS2 VRPN client built primarily to interface with motion capture devices such as VICON and OptiTrack.
 A detailed list of supported hardware can be found here.
